<!--

    Copyright (C) 2015 The Gravitee team (http://gravitee.io)

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<mat-card class="api-creation-v4__step">
  <div class="api-creation-v4__step__header">
    <div class="api-creation-v4__step__header__step-number">Step 3</div>
    <div class="api-creation-v4__step__header__subtitle">Configure your API endpoints access</div>
    <p class="api-creation-v4__step__header__paragraph-light">
      Choose the type of event-brokers/backend that will be exposed through the API
    </p>
  </div>

  <form *ngIf="formGroup" [formGroup]="formGroup" (ngSubmit)="save()">
    <div class="api-creation-v4__form-container" *ngFor="let endpoint of selectedEndpoints">
      <h3>{{ endpoint.name }}</h3>
      <gio-form-json-schema
        [jsonSchema]="endpointSchemas[endpoint.id]"
        [formGroup]="$any(formGroup.get(endpoint.id))"
        [initialValue]="endpointInitialValues[endpoint.id]"
      ></gio-form-json-schema>
    </div>

    <div class="api-creation-v4__step__footer">
      <button mat-stroked-button type="button" (click)="goBack()">Previous</button>
      <button mat-flat-button color="primary" type="submit" [disabled]="formGroup.invalid">Validate my endpoints</button>
    </div>
  </form>
</mat-card>
